/*  Definition Module Streng.h  ************************************ *

	Klassen Streng  (Definitionsmodul)

	TStreng 0.0.1	Terkild Marker	04-09-1995
	TStreng 1.0.0	Terkild Marker 	16-09-1995
	TStreng 1.0.1	Terkild Marker 	16-09-1995
	TStreng 1.0.2	Terkild Marker 	24-09-1995
	TStreng 1.0.3	Terkild Marker 	25-09-1995
	TStreng 1.0.4	Terkild Marker 	26-09-1995
	TStreng 1.0.5	Terkild Marker 	29-09-1995
	TStreng 1.0.6	Terkild Marker 	11-10-1995
	TStreng 1.1.0	Terkild Marker	16-10-1995
	TStreng 1.1.1	Terkild Marker  19-10-1995
	TStreng 1.2.0	Terkild Marker	03-11-1995
	TStreng 1.2.1	Terkild Marker	20-01-1996  Tilfjet + og []
	Streng  1.3.0	Terkild Marker  29-01-1996
	Streng  1.3.1	Terkild Marker	27-02-1996  Tilfjet ==
	Streng  1.3.2	Terkild Marker	13-03-1996  padx og trimx

	Dette er mit klassebiblioteks strengtype og superklassen for alle 
	typer data som jeg vlger at implementere som korte strenge (dvs 
	mindre end 255 tegn).
	Nu vil jeg skrive en strengklasse som kun hviler p TXError, sdan 
	at jeg kan bruge navne nr som helst jeg vil.
	Jeg har besluttet mig til at indbygge TXError i denne her, sdan at 
	jeg kan distribuere min strengklasse separat fra mit klassehieraki.

 * ************************************************************ */


#ifndef StrengH
#define  StrengH


class Streng 
{
	public:
		Streng(void);
		Streng(const Streng & right);
		Streng(Str255 theString);
		Streng(const char * const theString);
		Streng(short StringID);
		Streng(short StringListID, short StringIndex);
		virtual ~Streng(void);
		OSErr StrError(void);
		Streng& operator=(const Streng & right);
		void GetStreng(Str255 &theName);
		void GetStreng(Streng &theName);
		void SetStreng(Str255 theName);
		void SetStreng(Streng theName);
		Boolean operator== (const Streng & RHStrPar);
		Streng operator+(const Streng & right);
		Streng operator+(const char & right);
		char & operator[](unsigned short offset);
		char operator[](unsigned short offset) const;
		void GetNumber(short tal);
		void GetNumber(long tal);
		void trim(void);
		void trimL(void);
		void trimR(void);
		void padC(short total, char tegn);
		void padL(short total, char tegn);
		void padR(short total, char tegn);

	protected:
		OSErr		error;
		StringPtr	krop;
		Boolean		flag;

	private:
};
/*  END of Class Definition  */


#endif
/*  END of Streng.h  */



